Strophe 0.13 XMPP client library

Functions
Initialization, shutdown, and versioning

These functions initialize and shutdown the library, and also allow for API version checking. More...

## Functions
void | xmpp_initialize (void)
| Initialize the Strophe library.
void | xmpp_shutdown (void)
| Shutdown the Strophe library.
int | xmpp_version_check (int major, int minor)
| Check that Strophe supports a specific API version.

## Detailed Description

These functions initialize and shutdown the library, and also allow for API version checking.

Failure to properly call these functions may result in strange (and platform dependent) behavior.

Specifically, the socket library on Win32 platforms must be initialized before use (although this is not the case on POSIX systems). The TLS subsystem must also seed the random number generator.

## Function Documentation

## ◆ xmpp_initialize()

void xmpp_initialize | ( | void |  | ) |

Initialize the Strophe library.

This function initializes subcomponents of the Strophe library and must be called for Strophe to operate correctly.

## ◆ xmpp_shutdown()

void xmpp_shutdown | ( | void |  | ) |

Shutdown the Strophe library.

## ◆ xmpp_version_check()

int xmpp_version_check | ( | int | major,
|  | int | minor )

Check that Strophe supports a specific API version.

Parameters

  major | the major version number
  minor | the minor version number

Returns
  TRUE if the version is supported and FALSE if unsupported